Zum Inhalt springen
Bpanda
Deutsch
Esc
↑↓navigieren↵öffnen⌘Jvorschau

List all reports of the report settings.

List all reports of the report settings. Load architecture reports settings

Security: Any user holding a Bpanda licence for the process space.

GET/v1/warehouses/{warehouseId}/preferences/architecture/reports
Authorization
AuthorizationBearer token (JWT) · headerrequired
BpmLicenseAPI key · headerrequired
Path parameters
warehouseIdstringrequired

ID of warehouse

Responses
200

all architecture report settings

Array of ArchitectureReportSetting
activatedActionStamprequired
Show properties
instantstring<date-time>required
userIdstringrequired
reportKeyArchitectureReportTyperequired
Allowed:ArchitectureElementsWithInvalidRelationshipsArchitectureElementsWithoutRelationsArchitectureElementsWithoutResponsiblesBusinessContinuityManagementDigitalizationProgressInvalidArchitectureElementsInventoryControlMaturityLevelOverviewCMMIMaturityLevelOverviewSimpleProcessesWithoutApplicationAndTechnologySupportRecentArchitectureElementsScoringAIPotentialScoringDigitalizationPotentialSensitiveDataProcessing
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://publicapi.goto.bpanda.com/bpm/api/v1/warehouses/string/preferences/architecture/reports' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'BpmLicense: YOUR_API_KEY'
Response
[
  {
    "activated": {
      "instant": "2019-08-24T14:15:22Z",
      "userId": "string"
    },
    "reportKey": "ArchitectureElementsWithInvalidRelationships"
  }
]